From 7435365666d67cd5eaa17d93533d87279101faf3 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Sun, 30 Nov 2008 22:38:11 -0500
Subject: [PATCH] gdb: enable build on ARM

This patch makes gdb build on ARM:
- Don't require prelink on ARM.
- Delete the ARM instruction simulator-related bits from the install
  root so as not to have rpm bomb out in the packaging stage due to
  unpackaged files.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>
Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 gdb.spec |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/gdb.spec b/gdb.spec
index 1e44072..6577fab 100644
--- a/gdb.spec
+++ b/gdb.spec
@@ -14,7 +14,7 @@ Version: 7.0
 
 # The release always contains a leading reserved number, start it at 1.
 # `upstream' is not a part of `name' to stay fully rpm dependencies compatible for the testing.
-Release: 3%{?_with_upstream:.upstream}%{?dist}
+Release: 3%{?_with_upstream:.upstream}%{?dist}.fa1
 
 License: GPLv3+
 Group: Development/Debuggers
@@ -417,7 +417,7 @@ BuildRequires: libunwind-devel >= 0.99-0.1.frysk20070405cvs
 Requires: libunwind >= 0.99-0.1.frysk20070405cvs
 %else
 # Prelink is broken on sparcv9/sparc64
-%ifnarch sparcv9 sparc64
+%ifnarch sparcv9 sparc64 %{arm}
 BuildRequires: prelink
 %endif
 %endif
@@ -807,6 +807,11 @@ ln -s gstack.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/pstack.1.gz
 ln -s gstack $RPM_BUILD_ROOT%{_bindir}/pstack
 %endif	# 0%{!?_with_upstream:1}
 
+# We aren't interested in the simulator.
+%ifarch %{arm}
+rm -f $RPM_BUILD_ROOT%{_libdir}/lib*-sim.a
+%endif
+
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-- 
1.5.5.6

